Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: daemontools

Interfaces

### Description:

Collection of tools for managing UNIX services.

### Interfaces:

daemonstools_run_start( domain , role )

##### Summary

Execute svc start in the svc start domain, and allow the specified role the svc start domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

daemontools_domtrans_multilog( domain )

##### Summary

Execute avc multilog in the svc multilog domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

daemontools_domtrans_run( domain )

##### Summary

Execute avc run in the svc run domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

daemontools_domtrans_start( domain )

##### Summary

Execute svc start in the svc start domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

daemontools_ipc_domain( domain )

##### Summary

An ipc channel between the supervised domain and svc_start_t.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_manage_svc( domain )

##### Summary

Create, read, write and delete svc svc content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_read_svc( domain )

##### Summary

Read svc avc files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_search_svc_dir( domain )

##### Summary

Search svc svc directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_service_domain( domain , entrypoint )

##### Summary

Create a domain which can be started by daemontools.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entrypoint | Type of the program to be used as an entry point to this domain.

daemontools_sigchld_run( domain )

##### Summary

Send child terminated signals to svc run.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return